Bug 989800 - Review Request: mate-icon-theme-faenza - Complementary icon theme for MATE Desktop
Review Request: mate-icon-theme-faenza - Complementary icon theme for MATE De...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 21:29 EDT by Dan Mashal
Modified: 2013-08-10 16:04 EDT (History)
7 users (show)

See Also:
Fixed In Version: mate-icon-theme-faenza-1.6.0-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-04 19:04:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Comment (544.32 KB, text/plain)
2013-08-01 05:13 EDT, Wolfgang Ulbrich
no flags Details

  None (edit)
Description Dan Mashal 2013-07-29 21:29:27 EDT
Spec URL: http://vicodan.fedorapeople.org/matespec/mate-icon-theme-faenza.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-icon-theme-faenza-1.6.0-1.fc19.src.rpm
Description: Provides a complimentary set of icon themes for MATE Desktop

successful rawhide build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=5673981
Comment 1 Christopher Meng 2013-07-29 21:41:52 EDT
Where is the changelog?
Comment 2 Wolfgang Ulbrich 2013-07-30 05:31:07 EDT
Two suggestions.
1. You don't need BR icon-naming-utils.
2. This is a very big package, you can use hardlink to link identical images to reduce the package size.
Add
BuildRequires:  hardlink

and before rpm scriplets.

# save space by linking identical images
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/icons
Comment 3 Wolfgang Ulbrich 2013-07-30 05:34:29 EDT
sorry , i meant
# save space by linking identical images
hardlink -c -v %{buildroot}%{_datadir}/icons
Comment 4 Dan Mashal 2013-07-30 20:48:55 EDT
(In reply to Christopher Meng from comment #1)
> Where is the changelog?

Changelog for what?
Comment 5 Christopher Meng 2013-07-31 00:19:14 EDT
(In reply to Dan Mashal from comment #4)
> (In reply to Christopher Meng from comment #1)
> > Where is the changelog?
> 
> Changelog for what?

For what? You dont know for what?

You don't know how to write %changelog? Are you kidding me?
Comment 6 Dan Mashal 2013-07-31 11:48:16 EDT
(In reply to Christopher Meng from comment #5)
> (In reply to Dan Mashal from comment #4)
> > (In reply to Christopher Meng from comment #1)
> > > Where is the changelog?
> > 
> > Changelog for what?
> 
> For what? You dont know for what?
> 
> You don't know how to write %changelog? Are you kidding me?

Please step aside. Instead of being rude you could have been more specific. I want Wolfgang to do this review you could have been more specific. Wolfgang is mycomaintainer for MATE and is experienced in doing package reviews. 

Wolfgang please take this review.
Comment 7 Wolfgang Ulbrich 2013-07-31 12:28:03 EDT
@ Christopher,
i can take the review if it is no problem for you.
Comment 8 Dan Mashal 2013-07-31 13:04:54 EDT
I've updated the spec and srpm.

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-icon-theme-faenza.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-icon-theme-faenza-1.6.0-1.fc19.src.rpm
Description: Provides a complimentary set of icon themes for MATE Desktop
Comment 9 Wolfgang Ulbrich 2013-08-01 05:13:28 EDT
Created attachment 915741 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 10 Dan Mashal 2013-08-01 12:46:52 EDT
New Package SCM Request
=======================
Package Name: mate-icon-theme-faenza
Short Description: Complementary icon theme for MATE Desktop
Owners: viocdan raveit65
Branches: f18 f19
Comment 11 Dan Mashal 2013-08-01 12:48:24 EDT
@Limb:

Also please add rdieter as an owner. Thanks
Comment 12 Gwyn Ciesla 2013-08-01 13:05:19 EDT
Git done (by process-git-requests).

Added rdieter, corrected vicodan spelling.
Comment 13 Fedora Update System 2013-08-01 13:57:05 EDT
mate-icon-theme-faenza-1.6.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-icon-theme-faenza-1.6.0-1.fc19
Comment 14 Fedora Update System 2013-08-01 13:57:18 EDT
mate-icon-theme-faenza-1.6.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-icon-theme-faenza-1.6.0-1.fc18
Comment 15 Fedora Update System 2013-08-02 17:56:44 EDT
mate-icon-theme-faenza-1.6.0-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 16 Fedora Update System 2013-08-04 19:04:46 EDT
mate-icon-theme-faenza-1.6.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-08-10 16:04:42 EDT
mate-icon-theme-faenza-1.6.0-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.